=head1 NAME

Gnome2::PasswordDialog - wrapper for GnomePasswordDialog

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Window
                                +----Gtk2::Dialog
                                     +----Gnome2::PasswordDialog



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable



=cut


=head1 METHODS

=head2 widget = Gnome2::PasswordDialog-E<gt>B<new> ($dialog_title, $message, $username, $password, $readonly_username)

=over

=item * $dialog_title (string) 

=item * $message (string) 

=item * $username (string) 

=item * $password (string) 

=item * $readonly_username (boolean) 

=back

=head2 boolean = $password_dialog-E<gt>B<anon_selected> 

Since: libgnomeui 2.8

=head2 string = $password_dialog-E<gt>B<get_domain> 

Since: libgnomeui 2.6

=head2 $password_dialog-E<gt>B<set_domain> ($domain)

=over

=item * $domain (string) 

=back

Since: libgnomeui 2.6

=head2 string = $password_dialog-E<gt>B<get_password> 

=head2 $password_dialog-E<gt>B<set_password> ($password)

=over

=item * $password (string) 

=back

=head2 $password_dialog-E<gt>B<set_readonly_domain> ($readonly)

=over

=item * $readonly (boolean) 

=back

Since: libgnomeui 2.6

=head2 $password_dialog-E<gt>B<set_readonly_username> ($readonly)

=over

=item * $readonly (boolean) 

=back

=head2 passworddialogremember = $password_dialog-E<gt>B<get_remember> 

Since: libgnomeui 2.6

=head2 $password_dialog-E<gt>B<set_remember> ($remember)

=over

=item * $remember (Gnome2::PasswordDialogRemember) 

=back

Since: libgnomeui 2.6

=head2 boolean = $password_dialog-E<gt>B<run_and_block> 

=head2 $password_dialog-E<gt>B<set_show_domain> ($show)

=over

=item * $show (boolean) 

=back

Since: libgnomeui 2.6

=head2 $password_dialog-E<gt>B<set_show_password> ($show)

=over

=item * $show (boolean) 

=back

Since: libgnomeui 2.6

=head2 $password_dialog-E<gt>B<set_show_remember> ($show_remember)

=over

=item * $show_remember (boolean) 

=back

Since: libgnomeui 2.6

=head2 $password_dialog-E<gt>B<set_show_username> ($show)

=over

=item * $show (boolean) 

=back

Since: libgnomeui 2.6

=head2 $password_dialog-E<gt>B<set_show_userpass_buttons> ($show_userpass_buttons)

=over

=item * $show_userpass_buttons (boolean) 

=back

Since: libgnomeui 2.8

=head2 string = $password_dialog-E<gt>B<get_username> 

=head2 $password_dialog-E<gt>B<set_username> ($username)

=over

=item * $username (string) 

=back



=cut


=head1 PROPERTIES

=over

=item 'anonymous' (boolean : default false : readable / writable / private / static-nick / static-blurb)

anonymous

=item 'domain' (string : default undef : readable / writable / private / static-nick / static-blurb)

domain

=item 'message' (string : default undef : readable / writable / private / static-nick / static-blurb)

message

=item 'message-markup' (string : default undef : readable / writable / private / static-nick / static-blurb)

message-markup

=item 'new-password' (string : default undef : readable / writable / private / static-nick / static-blurb)

new-password

=item 'password' (string : default undef : readable / writable / private / static-nick / static-blurb)

password

=item 'readonly-domain' (boolean : default false : readable / writable / private / static-nick / static-blurb)

readonly-domain

=item 'readonly-username' (boolean : default false : readable / writable / private / static-nick / static-blurb)

readonly-username

=item 'remember-mode' (Gnome2::PasswordDialogRemember : default "nothing" : readable / writable / private / static-nick / static-blurb)

remember-mode

=item 'show-domain' (boolean : default false : readable / writable / private / static-nick / static-blurb)

show-domain

=item 'show-new-password' (boolean : default false : readable / writable / private / static-nick / static-blurb)

show-new-password

=item 'show-new-password-quality' (boolean : default false : readable / writable / private / static-nick / static-blurb)

show-new-password-quality

=item 'show-password' (boolean : default true : readable / writable / private / static-nick / static-blurb)

show-password

=item 'show-remember' (boolean : default false : readable / writable / private / static-nick / static-blurb)

show-remember

=item 'show-username' (boolean : default true : readable / writable / private / static-nick / static-blurb)

show-username

=item 'show-userpass-buttons' (boolean : default false : readable / writable / private / static-nick / static-blurb)

show-userpass-buttons

=item 'username' (string : default undef : readable / writable / private / static-nick / static-blurb)

username

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Gnome2::PasswordDialogRemember

=over

=item * 'nothing' / 'GNOME_PASSWORD_DIALOG_REMEMBER_NOTHING'

=item * 'session' / 'GNOME_PASSWORD_DIALOG_REMEMBER_SESSION'

=item * 'forever' / 'GNOME_PASSWORD_DIALOG_REMEMBER_FOREVER'

=back




=cut


=head1 SEE ALSO

L<Gnome2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Bin>, L<Gtk2::Window>, L<Gtk2::Dialog>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2004 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gnome2> for a full notice.



=cut

